toolzerhub API Docs

Get product details

Get a RedNote product's name, displayed price, seller details, and additional product data. An unknown item_id returns data: null.

15 credits / requestBilled only on success
GET
/v1/rednote/products/detail

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

item_id*string

24-character hexadecimal SKU ID from a product URL or share link.

curl -X GET "https://example.com/v1/rednote/products/detail?item_id=64a1b2c3d4e5f60718293a4b" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "item_id": "64a1b2c3d4e5f60718293a4b",    "name": "string",    "price": 78.88,    "sold_text": "已售73",    "seller": {      "name": "string",      "id": "string",      "logo_url": "string",      "link": "string",      "fans_text": "粉丝数 4129",      "sales_text": "已售2316"    },    "template": {      "property1": null,      "property2": null    }  }}